<div class="generos scroling">
<?php
// Realiza una consulta para contar los géneros en la base de datos
$queryCount = mysql_query("SELECT COUNT(*) as total FROM generos");
$countResult = mysql_fetch_assoc($queryCount);

// Obtiene el total de géneros
$totalGeneros = $countResult['total'];

// Calcula cuántos géneros habrá en cada bloque en promedio
$bloques = 6;
$generosPorBloque = ceil($totalGeneros / $bloques);

$cantidadg = $generosPorBloque; // Cambia la cantidad por la cantidad calculada
$a = 1;
$r = 1;

$query = mysql_query("SELECT genero, link_genero FROM generos ORDER BY genero ASC");
while ($result = mysql_fetch_array($query)) {
    $vacio[$a] = $result['genero'];
    $link[$a] = $result['link_genero'];

    if ($vacio[$a] <> $vacio[$a - 1]) {
        $genes[$r] = $vacio[$a];
        $links[$r] = $link[$a];
        $r++;
    }
    $a++;
}

$p = 0; // Inicializa la variable p
$a = 1;
$j = 1;
while ($j <= $r) {
    $j = $j + $cantidadg - 1;

    echo '';

    while ($a <= $j) {
        if ($a < $r && !empty($genes[$a])) {
            $p++;
            if ($p == 0) {
                echo '<ul class="lista-generos">';
            }
            if ($p % $generosPorBloque == 1) {
                echo '<ul class="lista-generos">';
            }

            echo '<li><a href="./' . $links[$a] . '/" title="' . $genes[$a] . '">' . $genes[$a] . '</a></li>';
        }
        $a++;
    }
    echo '</ul>';
    $j++;
}
?>
</div>
